clear;

%%%% Load the manually selected points %%%%
f1_no = 1;    % first image
f2_no = 115;  % last image
filename = sprintf('ground_truth_test.txt');
fpt=fopen(filename,'r');

% Read image points data
for x = f1_no : f2_no
    
    % load image
    fname = fscanf(fpt,'%s', 1);
    img_name = sprintf('test_images/test_%s', fname);
    grey_img = imread(img_name);
    grey_img_half = imresize(grey_img, 0.5);

    % display image
    clf, hold on
    color(gray(256));
    imagesc(grey_img);
    axis off;
    axis('ij')
    
    % get number of roots
    rn = fscanf(fpt,'%d',1);
    for ( a = 1 : rn)
        
        % get number of points in root
        pn = fscanf(fpt,'%d',1);

        % get points and diameter
        location = fscanf(fpt,'%f %f\r\n', 2*(pn+2));
        location = reshape(location, 2, pn+2)';
        points = location(1:pn, :);
        diam = location(pn+1:pn+2, :);
        
        % display root
        line(points(:,1), points(:,2), 'Color','k','LineWidth', 2, 'LineStyle', '-');
 
        % display diameter
        line(diam(:,1), diam(:,2), 'Color','r','LineWidth', 2, 'LineStyle', '-');

        % save ground truth image
%        eval(['print -dbmp ' sprintf('img%d_ground_truth_aa', x)]);
        
    end

    disp('Right-click to end program')
    [xx, yy, button] = ginput(1);
    if button==3, break, end;
  
end
fclose(fpt);
    







 
 
 

 
 

 
 